## agave pyclient-1.2.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = agave_pyclient
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## agave 0.4.7

=== debian/changelog ===
agave (0.4.7-2.1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   -  debian/patches/clean_deprecated_gtk_reference.patch:
      The can_default() member of Gtk::Widget is deprecated and causes
      FTBFS. Use Gtk::Widget::set_can_default() instead. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 26 Jul 2012 15:35:04 -0400

agave (0.4.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build error with -Werror=format-security. (Closes: #652845)
    Thanks to peter green <plugwash@p10link.net> for the patch.
    + new patch: fix_format_security.diff

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 28 Dec 2011 10:34:34 +0100

agave (0.4.7-2ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    +  debian/patches/clean_deprecated_gtk_reference.patch:
       The can_default() member of Gtk::Widget is deprecated and causes
       FTBFS. Use Gtk::Widget::set_can_default() instead.
  * debian/patches/fix_format_security.patch:
    Fixed errors in:
       src/dialogs/gcs-about-window.cc

 -- Stephan Adig <sh@sourcecode.de>  Tue, 25 Oct 2011 15:50:52 +0000

agave (0.4.7-2) unstable; urgency=low

  * Add patches/fix_gcc-4.5_ftbfs.diff to fix FTBFS (Closes: #564850)
  * Update patches/desktop_file.diff, thanks to Micheas Herman (Closes: #608165)
  * Bump Standards-Version to 3.9.2
  * Switch to source format 3.0

 -- Varun Hiremath <varun@debian.org>  Wed, 21 Sep 2011 16:47:48 -0400

agave (0.4.7-1ubuntu2) natty; urgency=low

  * Fix FTBFS with GCC-4.5. Closes: #564850.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2011 14:09:14 +0200

agave (0.4.7-1ubuntu1) karmic; urgency=low

  * debian/patches/clean_deprecated_gtk_reference.patch:
    - The can_default() member of Gtk::Widget is deprecated and causes 
      FTBFS. Use Gtk::Widget::set_can_default() instead.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Sat, 03 Oct 2009 01:25:03 +0100

agave (0.4.7-1) unstable; urgency=low

  * New upstream release
    + removed colon from PI names (Closes: #522184)
    + implements saving colour profile (Closes: #514649)
  * Add menu file for agave (Closes: #512714)
  * Remove Torsten from Uploaders, as requested
  * Bump Standards-Version to 3.8.2
  * Add description to all debian/patches

 -- Varun Hiremath <varun@debian.org>  Sun, 09 Aug 2009 19:33:09 -0400

agave (0.4.5-2) unstable; urgency=low

  * Add patches/headers.diff to add missing header files resulting in
    FTBFS with g++-4.3 (Closes: #470965)

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2008 18:25:09 +0530

agave (0.4.5-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Fri, 15 Feb 2008 19:29:15 +0530

agave (0.4.4-2) unstable; urgency=low

  * Add patches/desktop_file.diff to remove Encoding field and fix Icon,
    Thanks to Tomas Safarik <safarik@server.cz> (Closes: #462755)

 -- Varun Hiremath <varun@debian.org>  Mon, 28 Jan 2008 01:12:33 +0530

agave (0.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump up Standards-Version to 3.7.3
    + Add Homepage, Vcs-{Svn, Browser} headers
  * debian/copyright: remove the full text of GFDL license - now included
    in common-licenses.

 -- Varun Hiremath <varun@debian.org>  Wed, 16 Jan 2008 17:53:23 +0530

agave (0.4.3-2) unstable; urgency=low

  * Add a patch to not remove gnome-doc-utils.make in upstream's distclean
    target. Fixes FTBFS (Closes: #442483)

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 17 Sep 2007 08:36:07 +0530

agave (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Enhance debian/watch

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 14 Jun 2007 21:37:21 +0530

agave (0.4.2-2) unstable; urgency=low

  * debian/rules: --disable-scrollkeeper while configuring (Closes: #415601)
  * debian/copyright: Include the GFDL license as Agave docbook is released
    under the GFDL license.

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 23 Mar 2007 16:52:12 +0530

agave (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends: libglademm-2.4-dev, gnome-doc-utils, scrollkeeper.

 -- Torsten Werner <twerner@debian.org>  Mon, 19 Mar 2007 22:52:13 +0100

agave (0.4.1-0) unstable; urgency=low

  * New upstream release
  * Add watch file
  * remove patches/fix-compile.patch as no longer required

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon,  9 Oct 2006 19:23:53 +0530

agave (0.4.0-4) unstable; urgency=low

  * Patched compat-round.cc to be more portable on systems with GNU libc.

 -- Torsten Werner <twerner@debian.org>  Thu,  5 Oct 2006 23:52:57 +0200

agave (0.4.0-3) unstable; urgency=low

  * debian/copyright: include src/ucompose.h LGPL license.

 -- Varun Hiremath <varunhiremath@gmail.com>  Wed, 20 Sep 2006 20:38:42 +0530

agave (0.4.0-2) unstable; urgency=low

  [ Varun Hiremath ]
  * debian/copyright: added more authors, copyright holders

 -- Torsten Werner <twerner@debian.org>  Thu, 31 Aug 2006 21:30:56 +0200

agave (0.4.0-1) unstable; urgency=low

  [ Varun Hiremath ]
  * Initial release (Closes: #384516, #354415)

  [ Torsten Werner ]
  * added myself to Uploaders in debian/control
 
 -- Torsten Werner <twerner@debian.org>  Thu, 31 Aug 2006 21:19:09 +0530

=== debian/control ===
Source: agave
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper (>= 7), cdbs, libboost-dev, libgtkmm-2.4-dev, libgnomeui-dev, libgconfmm-2.6-dev, libcppunit-dev, libxml-parser-perl, libglademm-2.4-dev, gnome-doc-utils, scrollkeeper, intltool, quilt
Standards-Version: 3.9.2
Homepage: http://home.gna.org/colorscheme/
Vcs-Svn: https://bollin.googlecode.com/svn/agave/
Vcs-Browser: http://bollin.googlecode.com/svn/agave/

Package: agave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: colorscheme designer for the GNOME desktop
 Agave is a very simple application for the GNOME desktop that 
 allows you to generate a variety of colorschemes from a single 
 starting color.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-scrollkeeper

get-orig-source:
	-uscan --upstream-version --force-download

=== debian/watch ===
version=3
http://download.gna.org/colorscheme/releases/agave-(.*)\.tar\.gz debian debian/orig-tar.sh
